# Uses of Class
org.springframework.transaction.interceptor.TransactionAspectSupport.TransactionInfo

Packages that use TransactionAspectSupport.TransactionInfo
Package
Description
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.

## Uses of TransactionAspectSupport.TransactionInfo in org.springframework.transaction.interceptor

Methods in org.springframework.transaction.interceptor that return TransactionAspectSupport.TransactionInfo
Modifier and Type
Method
Description
`protected TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`createTransactionIfNecessary(PlatformTransactionManager tm, TransactionAttribute txAttr, String joinpointIdentification)`
Create a transaction if necessary based on the given TransactionAttribute.
`protected static TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`currentTransactionInfo()`
Subclasses can use this to return the current TransactionInfo.
`protected TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`prepareTransactionInfo(PlatformTransactionManager tm, TransactionAttribute txAttr, String joinpointIdentification, TransactionStatus status)`
Prepare a TransactionInfo for the given attribute and status object.
Methods in org.springframework.transaction.interceptor with parameters of type TransactionAspectSupport.TransactionInfo
Modifier and Type
Method
Description
`protected void`
TransactionAspectSupport.`cleanupTransactionInfo(TransactionAspectSupport.TransactionInfo txInfo)`
Reset the TransactionInfo ThreadLocal.
`protected void`
TransactionAspectSupport.`commitTransactionAfterReturning(TransactionAspectSupport.TransactionInfo txInfo)`
Execute after successful completion of call, but not after an exception was handled.
`protected void`
TransactionAspectSupport.`completeTransactionAfterThrowing(TransactionAspectSupport.TransactionInfo txInfo, Throwable ex)`
Handle a throwable, completing the transaction.